## ppx-tools 0.99.2

=== Makefile ===
#  This file is part of the ppx_tools package.  It is released
#  under the terms of the MIT license (see LICENSE file).
#  Copyright 2013  Alain Frisch and LexiFi

include $(shell ocamlc -where)/Makefile.config

PACKAGE = ppx_tools
VERSION = 0.99
# Don't forget to change META file as well

OCAMLC = ocamlc
OCAMLOPT = ocamlopt
COMPFLAGS = -w +A-4-17-44-45 -I +compiler-libs -safe-string

.PHONY: all
all: genlifter$(EXE) dumpast$(EXE) ppx_metaquot$(EXE) rewriter$(EXE) ast_mapper_class.cmo ppx_tools.cma
all: ppx_tools.cmxa ppx_tools.cmxs

genlifter$(EXE): ppx_tools.cma genlifter.cmo
	$(OCAMLC) $(COMPFLAGS) -o genlifter$(EXE) ocamlcommon.cma ppx_tools.cma genlifter.cmo

dumpast$(EXE): dumpast.cmo
	$(OCAMLC) $(COMPFLAGS) -o dumpast$(EXE) ocamlcommon.cma ocamlbytecomp.cma ast_lifter.cmo dumpast.cmo

ppx_metaquot$(EXE): ppx_metaquot.cmo
	$(OCAMLC) $(COMPFLAGS) -o ppx_metaquot$(EXE) ocamlcommon.cma ppx_tools.cma ast_lifter.cmo ppx_metaquot.cmo

rewriter$(EXE): rewriter.cmo
	$(OCAMLC) $(COMPFLAGS) -o rewriter$(EXE) ocamlcommon.cma rewriter.cmo

ast_lifter.ml: genlifter$(EXE)
	./genlifter$(EXE) -I +compiler-libs Parsetree.expression > ast_lifter.ml || rm -rf ast_lifter.ml


OBJS = ast_convenience.cmo ast_mapper_class.cmo

ppx_tools.cma: $(OBJS)
	$(OCAMLC) -a -o ppx_tools.cma $(OBJS)
ppx_tools.cmxa: $(OBJS:.cmo=.cmx)
	$(OCAMLOPT) -a -o ppx_tools.cmxa $(OBJS:.cmo=.cmx)
ppx_tools.cmxs: $(OBJS:.cmo=.cmx)
	$(OCAMLOPT) -shared -o ppx_tools.cmxs -linkall ppx_tools.cmxa


.PHONY: depend
depend:
	touch ast_lifter.ml
	ocamldep *.ml *.mli > .depend
-include .depend


.PHONY: clean
clean:
	rm -f *.cm* *~ *.o *.obj *.a *.lib *.tar.gz *.cmxs
	rm -f genlifter$(EXE) dumpast$(EXE) ppx_metaquot$(EXE)
	rm -f ast_lifter.ml

# Default rules

.SUFFIXES: .ml .mli .cmo .cmi .cmx

.ml.cmo:
	$(OCAMLC) $(COMPFLAGS) -c $<

.mli.cmi:
	$(OCAMLC) $(COMPFLAGS) -c $<

.ml.cmx:
	$(OCAMLOPT) $(COMPFLAGS) -c $<


# Install/uninstall

INSTALL = META \
   genlifter$(EXE) dumpast$(EXE) ppx_metaquot$(EXE) rewriter$(EXE) \
   ppx_tools.cma ppx_tools.cmxa ppx_tools$(EXT_LIB) \
   ppx_tools.cmxs \
   ast_convenience.cmi ast_convenience.cmx \
   ast_mapper_class.cmi ast_mapper_class.cmx

.PHONY: install
install:
	ocamlfind install $(PACKAGE) $(INSTALL)

.PHONY: uninstall
uninstall:
	ocamlfind remove $(PACKAGE)

# Packaging

DISTRIB = \
  README.md LICENSE META \
  Makefile .depend \
  dumpast.ml \
  genlifter.ml \
  ppx_metaquot.ml \
  rewriter.ml \
  ast_mapper_class.ml ast_mapper_class.mli

FPACKAGE = $(PACKAGE)-$(VERSION)

.PHONY: package
package: clean
	rm -rf files.tar.gz $(FPACKAGE) $(FPACKAGE).tar.gz
	tar czf files.tar.gz $(DISTRIB)
	mkdir $(FPACKAGE)
	cd $(FPACKAGE) && tar xzf ../files.tar.gz
	tar czf $(FPACKAGE).tar.gz $(FPACKAGE)
	cd $(FPACKAGE) && make all
	rm -rf files.tar.gz $(FPACKAGE)

TARGET=foo:bar/ppx_tools_data
upload:
	scp $(FPACKAGE).tar.gz $(TARGET)/

=== debian/changelog ===
ppx-tools (0.99.2-4) unstable; urgency=medium

  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Sun, 11 Oct 2015 20:34:21 +0200

ppx-tools (0.99.2-3) experimental; urgency=medium

  * Fix FTBFS on ppc64el

 -- Stéphane Glondu <glondu@debian.org>  Fri, 27 Mar 2015 13:24:24 +0100

ppx-tools (0.99.2-2) experimental; urgency=medium

  * Add support for bytecode architectures

 -- Stéphane Glondu <glondu@debian.org>  Fri, 27 Mar 2015 10:12:14 +0100

ppx-tools (0.99.2-1) experimental; urgency=low

  * Initial upload (Closes: #779574).

 -- Stéphane Glondu <glondu@debian.org>  Tue, 10 Mar 2015 11:50:49 +0100

=== debian/control ===
Source: ppx-tools
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders:
 Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper (>= 9),
 ocaml-nox (>= 4.02.1),
 ocaml-findlib,
 dh-ocaml
Standards-Version: 3.9.6
Homepage: https://github.com/alainfrisch/ppx_tools
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ppx-tools.git
Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ppx-tools.git

Package: libppx-tools-ocaml-dev
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${ocaml:Depends}
Provides:
 ${ocaml:Provides}
Recommends: ocaml-findlib
Description: tools for authors of OCaml syntactic tools
 This package includes tools for authors of syntactic tools (such as
 ppx rewriters):
  * ppx_metaquot: a ppx filter to help writing programs which
    manipulate the Parsetree, by allowing the programmer to use
    concrete syntax for expressions creating Parsetree fragments and
    patterns deconstructing Parsetree fragments;
  * rewriter: a utility to help testing ppx rewriters that runs the
    rewriter on user-provided code and returns the result;
  * Ast_mapper_class: a generic mapper from Parsetree to Parsetree
    implemeting a deep identity copy, which can be customized with a
    custom behavior for each syntactic category;
  * dumpast: parses fragments of OCaml code (or entire source files)
    and dump the resulting internal Parsetree representation;
  * genlifter: generates a virtual "lifter" class for one or several
    OCaml type constructors.

## ppx-tools 5.0%2B4.05.0

=== debian/watch ===
version=3
https://github.com/alainfrisch/ppx_tools/tags/ .*/(?:ppx_tools_)?([\d\.+]+)\.tar\.gz

## ppx-tools 5.0+4.02.0

=== Makefile ===
--- 
+++ 
@@ -5,16 +5,22 @@
 include $(shell ocamlc -where)/Makefile.config
 
 PACKAGE = ppx_tools
-VERSION = 0.99
+VERSION = 5.0+4.02.2
 # Don't forget to change META file as well
 
-OCAMLC = ocamlc
+OCAMLC = ocamlc -bin-annot
 OCAMLOPT = ocamlopt
 COMPFLAGS = -w +A-4-17-44-45 -I +compiler-libs -safe-string
 
 .PHONY: all
 all: genlifter$(EXE) dumpast$(EXE) ppx_metaquot$(EXE) rewriter$(EXE) ast_mapper_class.cmo ppx_tools.cma
-all: ppx_tools.cmxa ppx_tools.cmxs
+
+ifneq ($(ARCH),none)
+all: ppx_tools.cmxa
+ifeq ($(NATDYNLINK),true)
+all: ppx_tools.cmxs
+endif
+endif
 
 genlifter$(EXE): ppx_tools.cma genlifter.cmo
 	$(OCAMLC) $(COMPFLAGS) -o genlifter$(EXE) ocamlcommon.cma ppx_tools.cma genlifter.cmo
@@ -51,7 +57,7 @@
 
 .PHONY: clean
 clean:
-	rm -f *.cm* *~ *.o *.obj *.a *.lib *.tar.gz *.cmxs
+	rm -f *.cm* *~ *.o *.obj *.a *.lib *.tar.gz *.cmxs *.cmt *.cmti
 	rm -f genlifter$(EXE) dumpast$(EXE) ppx_metaquot$(EXE)
 	rm -f ast_lifter.ml
 
@@ -70,13 +76,13 @@
 
 
 # Install/uninstall
-
+targets = $(1).mli $(1).cmi $(1).cmt $(1).cmti $(wildcard $(1).cmx)
 INSTALL = META \
    genlifter$(EXE) dumpast$(EXE) ppx_metaquot$(EXE) rewriter$(EXE) \
-   ppx_tools.cma ppx_tools.cmxa ppx_tools$(EXT_LIB) \
-   ppx_tools.cmxs \
-   ast_convenience.cmi ast_convenience.cmx \
-   ast_mapper_class.cmi ast_mapper_class.cmx
+   ppx_tools.cma $(wildcard ppx_tools.cmxa ppx_tools$(EXT_LIB)) \
+   $(wildcard ppx_tools.cmxs) \
+   $(call targets,ast_convenience) \
+   $(call targets,ast_mapper_class)
 
 .PHONY: install
 install:
@@ -112,5 +118,3 @@
 TARGET=foo:bar/ppx_tools_data
 upload:
 	scp $(FPACKAGE).tar.gz $(TARGET)/
-
-

=== debian/changelog ===
ppx-tools (5.0+4.02.0-1ubuntu1) artful; urgency=medium

  * Cherrypick 4.04.0 branch patches from upstream.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 30 Jun 2017 14:46:25 +0100

ppx-tools (5.0+4.02.0-1build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Jun 2017 13:37:38 +0100

ppx-tools (5.0+4.02.0-1) unstable; urgency=medium

  * New upstream release
    - remove patches (merged upstream)
  * Update Vcs-*
  * Bump Standards-Version to 3.9.8

 -- Stéphane Glondu <glondu@debian.org>  Wed, 27 Jul 2016 12:36:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ppx-tools
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
@@ -9,10 +10,10 @@
  ocaml-nox (>= 4.02.1),
  ocaml-findlib,
  dh-ocaml
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/alainfrisch/ppx_tools
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/ppx-tools.git
-Vcs-Git: git://anonscm.debian.org/pkg-ocaml-maint/packages/ppx-tools.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-tools.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-tools.git
 
 Package: libppx-tools-ocaml-dev
 Architecture: any
@@ -33,7 +34,7 @@
   * rewriter: a utility to help testing ppx rewriters that runs the
     rewriter on user-provided code and returns the result;
   * Ast_mapper_class: a generic mapper from Parsetree to Parsetree
-    implemeting a deep identity copy, which can be customized with a
+    implementing a deep identity copy, which can be customized with a
     custom behavior for each syntactic category;
   * dumpast: parses fragments of OCaml code (or entire source files)
     and dump the resulting internal Parsetree representation;

## ppx-tools 5.0+4.05.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include $(shell ocamlc -where)/Makefile.config
 
 PACKAGE = ppx_tools
-VERSION = 5.0+4.02.2
+VERSION = 5.0
 # Don't forget to change META file as well
 
 OCAMLC = ocamlc -bin-annot

=== debian/changelog ===
ppx-tools (5.0+4.05.0-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 22 Sep 2017 14:59:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: ppx-tools
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper (>= 9),
- ocaml-nox (>= 4.02.1),
+ ocaml-nox (>= 4.05),
  ocaml-findlib,
  dh-ocaml
 Standards-Version: 3.9.8

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/libppx-tools-ocaml-dev
include /usr/share/ocaml/ocamlvars.mk

export OCAMLFIND_DESTDIR := $(DESTDIR)$(OCAML_STDLIB_DIR)

%:
	dh $@ --with ocaml

.PHONY: override_dh_auto_install
override_dh_auto_install:
	mkdir -p $(OCAMLFIND_DESTDIR)
	dh_auto_install
	cp *.mli $(OCAMLFIND_DESTDIR)/ppx_tools

## ppx-tools 5.3+4.08.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 include $(shell ocamlc -where)/Makefile.config
 
 PACKAGE = ppx_tools
-VERSION = 5.0
+VERSION = 5.3
 # Don't forget to change META file as well
 
 OCAMLC = ocamlc -bin-annot

=== debian/changelog ===
ppx-tools (5.3+4.08.0-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage and debian/watch
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Nov 2019 13:51:26 +0100

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper (>= 9),
- ocaml-nox (>= 4.05),
+ ocaml-nox (>= 4.08),
  ocaml-findlib,
  dh-ocaml
 Standards-Version: 3.9.8
-Homepage: https://github.com/alainfrisch/ppx_tools
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-tools.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ppx-tools.git
+Homepage: https://github.com/ocaml-ppx/ppx_tools
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-tools
+Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-tools.git
 
 Package: libppx-tools-ocaml-dev
 Architecture: any

=== debian/watch ===
version=3
https://github.com/ocaml-ppx/ppx_tools/tags/ .*/(?:ppx_tools_)?([\d\.+]+)\.tar\.gz

## ppx-tools 6.2

=== debian/changelog ===
ppx-tools (6.2-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Thu, 06 Aug 2020 11:52:13 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,12 @@
 Uploaders:
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  ocaml-nox (>= 4.08),
- ocaml-findlib,
+ ocaml-dune,
  dh-ocaml
-Standards-Version: 3.9.8
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/ocaml-ppx/ppx_tools
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-tools
 Vcs-Git: https://salsa.debian.org/ocaml-team/ppx-tools.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

DESTDIR=$(CURDIR)/debian/tmp
include /usr/share/ocaml/ocamlvars.mk

%:
	dh $@ --with ocaml

override_dh_auto_build:
	dune build -p ppx_tools

override_dh_auto_install:
	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
	rm -f $(DESTDIR)/usr/doc/ppx_tools/LICENSE

override_dh_dwz:

## ppx-tools 6.3

=== Makefile ===
#  This file is part of the ppx_tools package.  It is released
#  under the terms of the MIT license (see LICENSE file).
#  Copyright 2013  Alain Frisch and LexiFi

INSTALL_ARGS := $(if $(PREFIX),--prefix $(PREFIX),)

default:
	dune build

release:
	dune build -p ppx_tools

install:
	dune install $(INSTALL_ARGS)

uninstall:
	dune uninstall $(INSTALL_ARGS)

clean:
	dune clean

all-supported-ocaml-versions:
	dune build @install @runtest --workspace dune-workspace.dev

=== debian/changelog ===
ppx-tools (6.3-1) unstable; urgency=medium

  * New upstream release
  * Update debian/watch
  * Bump Standards-Version to 4.5.1

 -- Stéphane Glondu <glondu@debian.org>  Sat, 12 Dec 2020 11:09:34 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,9 @@
  debhelper-compat (= 13),
  ocaml-nox (>= 4.08),
  ocaml-dune,
+ cppo,
  dh-ocaml
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml-ppx/ppx_tools
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-tools

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,3 @@
 override_dh_auto_install:
 	dune install --destdir=$(DESTDIR) --prefix=/usr --libdir=..$(OCAML_STDLIB_DIR)
 	rm -f $(DESTDIR)/usr/doc/ppx_tools/LICENSE
-
-override_dh_dwz:

=== debian/watch ===
version=3
https://github.com/ocaml-ppx/ppx_tools/releases .*ppx_tools-v?([\d\.+]+)\.tbz

## ppx-tools 6.4

=== debian/changelog ===
ppx-tools (6.4-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 11:16:05 +0100

ppx-tools (6.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Update debian/watch

 -- Stéphane Glondu <glondu@debian.org>  Fri, 19 Nov 2021 13:05:37 +0100

=== debian/watch ===
version=4
https://github.com/ocaml-ppx/ppx_tools/releases .*ppx_tools-v?([\d\.+]+)\.tbz

## ppx-tools 6.6

=== debian/changelog ===
ppx-tools (6.6-4build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Nov 2023 00:16:52 +0100

ppx-tools (6.6-4) unstable; urgency=medium

  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Wed, 13 Sep 2023 06:17:51 +0200

ppx-tools (6.6-3) unstable; urgency=medium

  * Include ocamlvars.mk in debian/rules

 -- Stéphane Glondu <glondu@debian.org>  Thu, 27 Jul 2023 07:02:26 +0200

ppx-tools (6.6-2) unstable; urgency=medium

  * Use ocaml_dune DH buildsystem

 -- Stéphane Glondu <glondu@debian.org>  Sat, 15 Jul 2023 11:05:20 +0200

ppx-tools (6.6-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Wed, 01 Feb 2023 12:57:51 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
  Stéphane Glondu <glondu@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- ocaml-nox (>= 4.08),
+ ocaml,
  ocaml-dune,
  cppo,
- dh-ocaml
-Standards-Version: 4.5.1
+ dh-ocaml (>= 1.2)
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/ocaml-ppx/ppx_tools
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ppx-tools
